Skip to main content

Overview

Product categories allow retailers to create a hierarchal structure that helps narrow down products into unique groups or sub-groups based on shared characteristics Products can be associated with 0 to 3 levels of categories Category Hierarchy Example

CategoryId

Category Text

Category Name

ParentId

Level

100

pets

pets

Level 1

200

pets \| dog supplies \|

dog supplies

100

Level 2

300

pets \| dog supplies \| dog food & treats

dog food & treats

200

Level 3

Retailer’s categories can be narrowed by searching across category text (i.e searching for “dog” in the above example will show categories 200 and 300) An additional endpoint is provided to lookup categories by categoryId across all retailers in case looking up for a category by its unique ID is required

Endpoints

Verb

Endpoint

Description

GET

/categories/{categoryId}

Search for categories based on category ID

GET

/categories?retailerId={retailerId}&?textSubstring={textSubstring}

Search for retailer categories and filter down by a specific category name

 

Category Query Parameters

retailerId
integer
Optional.Default: -Is Nullable? NoThe retailer id for which Categories fetchedValues: int32
textSubstring
string
Optional.Default: -Is Nullable? NoQuery string to search for across category Text.Values: 500 char limit
pageIndex
integer
Optional.Default: 0Is Nullable? NoThe number of Categories to skip before returning results. Maximum value is tentatively capped at 500 since we anticipate performance issues for particularly broad searchesValues: int32
pageSize
integer
Optional.Default: 100Is Nullable? NoThe max number of Categories to return. Max value capped at 100Values: int32
 

Category Attributes

id
string
Unique ID of the categoryValues: 500 char limit
text
string
Full Category hierarchy name divided by a pipe | from the top level of the hierarchy down to the Category name. The value of text gets generated by attaching Category name recursively to it’s parent category using | symbol until there is no more parentsValues: 500 char limit
name
string
Name of the category without hierarchyValues: 500 char limit
parentId
string
Id of the previous level in Category hierarchy.
  • note: if this is a level 1 category then ParentId is "null"
Values: 500 char limit
 

Get Category By Category ID

Sample Request
Sample Response

Get Categories by Retailer

Results are paginated using pageIndex and pageSize query parameters; if omitted, defaults to 0 and 25, respectively. See API Response. Sample Request 1
Searching by specifying one category name in the query parameters
Sample Response
Sample Request 2
Searching by multiple categories’ names within the same call
Sample Response 2

Responses

Response

Description

🔵

200

Success

🔴

400

No IDs were passed in

🔴

400

A non-request input-based error occurred in the server.